Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.shortcode
Class ShortCodeMapping

    java.lang.Object
      com.bea.wlcp.wlng.shortcode.ShortCodeMapping

All Implemented Interfaces:
  Serializable

public class ShortCodeMapping
extends Object
implements Serializable

ShortCode Mapping

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Constructor Summary
`ShortCodeMapping()`
`ShortCodeMapping(String originalDestination, String mappedDestination)`

Method Summary
`String` | `getKey()`
`String` | `getOriginalDestinationAddressPattern()`
`String` | `getTranslatedDestinationAddress()`
`void` | `setOriginalDestinationAddressPattern(String originalDestination)`
`void` | `setTranslatedDestinationAddress(String mappedDestination)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortCodeMapping

    public ShortCodeMapping()

### ShortCodeMapping

    public ShortCodeMapping(String originalDestination,
                            String mappedDestination)

Method Detail

### getKey

    public String getKey()

### getOriginalDestinationAddressPattern

    public String getOriginalDestinationAddressPattern()

### getTranslatedDestinationAddress

    public String getTranslatedDestinationAddress()

### setOriginalDestinationAddressPattern

    public void setOriginalDestinationAddressPattern(String originalDestination)

### setTranslatedDestinationAddress

    public void setTranslatedDestinationAddress(String mappedDestination)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD